# $Revision: 1.7 $, $Date: 2001/08/04 14:38:26 $
Summary:	An X and GTK+ based graphical display of traceroute's output
Summary(pl):	Program wywietlajcy traceroute w postaci graficznej pod X/GTK+
Name:		xtraceroute
Version:	0.9.0
Release:	2
License:	GPL 
Group:		X11/Applications/Networking
Group(de):	X11/Applikationen/Netzwerkwesen
Group(pl):	X11/Aplikacje/Sieciowe
Source0:	http://www.dtek.chalmers.se/~d3august/xt/dl/%{name}-%{version}.tar.gz
Source1:	http://www.dtek.chalmers.se/~d3august/xt/dl/ndg_files.tar.gz
Patch0:		%{name}-desktop.patch
URL:		http://www.dtek.chalmers.se/~d3august/xt/
BuildRequires:	OpenGL-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gdk-pixbuf-devel >= 0.8.0
BuildRequires:	gettext-devel
BuildRequires:	gtkglarea-devel
BuildRequires:	libtiff-devel
Requires:	/usr/sbin/traceroute
Requires:	/usr/bin/host-nikhof
ExcludeArch:	ia64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
xtraceroute is a graphical version of the traceroute program, which
traces the route your IP packets travel to their destination.
Xtraceroute shows the packets' path on a rotating globe, as a series
of yellow lines between sites, which are shown as small balls of
different colors. You'll need a fairly fast machine, an OpenGL
implementation (Mesa or OpenGL), GTK+, GtkGLArea, and tifflib.

%description -l pl
xtraceroute jest graficzn wersj programu traceroute, ledzcego
tras Twoich pakietw IP do celu. Pokazuje ciek pakietw na
obracajcej si kuli ziemskiej jako t lini pomidzy miejscami,
ktre s przedstawione jako mae kropki w rnych kolorach.
Program wymaga relatywnie szybkiej maszyny z implementacj OpenGL'a
(Mesa lub OpenGL), GTK+, GtkGLArea oraz tifflib.

%prep
%setup -q -a1
%patch0 -p1

%build
gettextize --copy --force
aclocal
autoheader
autoconf
automake -a -c
%configure \
	--with-lib-GL \
	--with-traceroute=/usr/sbin/traceroute \
	--with-host=/usr/bin/host-nikhof

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Network,%{_pixmapsdir}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

install xtraceroute.desktop $RPM_BUILD_ROOT%{_applnkdir}/Network
install xtraceroute.png $RPM_BUILD_ROOT%{_pixmapsdir}
install networks.cache $RPM_BUILD_ROOT%{_datadir}/xtraceroute
install hosts.cache $RPM_BUILD_ROOT%{_datadir}/xtraceroute

gzip -9nf README AUTHORS BUGS ChangeLog NEWS TODO

%find_lang %{name}

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz 
%attr(755,root,root) %{_bindir}/xtraceroute
%{_mandir}/man1/*
%{_datadir}/xtraceroute
%{_applnkdir}/Network/xtraceroute.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xtraceroute.spec,v $
Revision 1.7  2001/08/04 14:38:26  jajcus
- Release: 2
- use host-nikhof instead of host (for resolving LOC entries)

Revision 1.6  2001/06/29 10:46:25  kloczek
- updated to 0.9.0,
- added gdk-pixbuf-devel >= 0.8.0 to BuildRequires list.

Revision 1.5  2001/06/28 15:05:37  kloczek
- bump release to 8.

Revision 1.4  2001/06/28 15:04:27  kloczek
- added desktop patch with de, pl Comment for desktop file,
- cosmetics.

Revision 1.3  2001/06/28 14:25:15  blues
- corrected install

Revision 1.2  2001/06/27 19:20:01  blues
- better translation

Revision 1.1  2001/06/25 19:16:11  qboosh
- taken from RH7.1 PowerTools, adapted to PLD
